<!-- <mat-toolbar color="accent">
  <button
    mat-icon-button
    class="example-icon"
    aria-label="Example icon-button with menu icon"
    (click)="snav.toggle()"
  >
    <mat-icon>menu</mat-icon>
  </button>
  <span>{{ appName }}</span>
  <span class="example-spacer"></span>
  <div
    style="
      cursor: pointer;
      display: inline-flex;
      flex-flow: row wrap;
      justify-content: center;
    "
    [matMenuTriggerFor]="menu"
  >
    <button mat-icon-button>
      <mat-icon>account_circle</mat-icon>
    </button>
    <div style="display: inline-block;">
      <span style="font-size: 16px; line-height: 1em;"
        >Hi, {{ userInfo.name }} {{ userInfo.surname }}
        <span
          *ngIf="
            userInfo.role === 'user' &&
            userInfo.company &&
            userInfo.company.business
          "
          style="font-size: 14px; display: block; line-height: 1em;"
          >Azienda: {{ userInfo.company.business }}</span
        >
        <span
          *ngIf="
            (userInfo.role === 'company' || userInfo.role === 'provider') &&
            userInfo.business &&
            userInfo.business
          "
          style="font-size: 14px; display: block; line-height: 1em;"
          >{{ userInfo.business }}</span
        ></span
      >
    </div>
  </div>
</mat-toolbar>
<mat-menu #menu="matMenu">
  <button mat-menu-item (click)="logout()">
    <span>Logout</span>
  </button>
</mat-menu>

<mat-sidenav-container class="sidenav-container" [hasBackdrop]="false">
  <mat-sidenav [(opened)]="sideNavOpen" #snav mode="over">
    <mat-nav-list>
      <dbe-nested-menu
        *ngFor="let item of items"
        [item]="item"
      ></dbe-nested-menu>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content>
    <section class="sidenav-content">
      <div class="private-content-container">
        <ui-view class="private-content"></ui-view>
      </div>
    </section>
  </mat-sidenav-content>
</mat-sidenav-container> -->
<div style="height: 50px; background: red; display: flex; align-items: center;">
  <a uiSref="app.public.homepage">Home</a> | 
  <p (click)="logout()">LOGOUT</p> |
  <p>header space from private area</p>
</div>
<ui-view></ui-view>